package com.lutao.cloud.common.core.constant.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum ElementEnum{

    EFFECT_PILOT_ORGANIZATION("effect_pilot_organization","企业试点组织"),
    EFFECT_INFRASTRUCTURE("effect_infrastructure","企业基础建设"),
    EFFECT_ANDATORY_SCENARIO("effect_andatory_scenario","企业必建场景"),
    EFFECT_EXPAND_SCENARIOS("effect_expand_scenarios","企业拓展场景"),
    PARK_EFFECT_PILOT_ORGANIZATION("park_effect_pilot_organization","园区试点组织"),
    PARK_EFFECT_INFRASTRUCTURE("park_effect_infrastructure","园区基础建设"),
    PARK_EFFECT_ANDATORY_SCENARIO("park_effect_andatory_scenario","园区必建场景"),
    PARK_EFFECT_EXPAND_SCENARIOS("park_effect_expand_scenarios","园区拓展场景"),

    // 机理模型
    MODEL_CONCEPT("model_concept","模型概念"),
    MODEL_CODIFICATION("model_codification","代码化"),
    MODEL_REQUIREMENTS("model_requirements","建模需求"),
    MODEL_DATA_MODEL("model_data_model","数据模型"),
    MODEL_RUNNING_RESULTS("model_running_results","运行结果"),

    // 工业APP
    APP_INNOVATIVE_INDICATORS("app_innovative_indicators","创新程度"),
    APP_FUNCTIONALITY("app_functionality","功能完整性"),
    APP_VERIFICATION("app_verification","应用验证情况"),
    APP_PORTABLE("app_portable","可拓展性"),
    APP_CSI_EVALUATION("app_csi_evaluation","客户满意度"),

    // 解决方案
    SOLUTION_APPLICABILITY("solution_applicability","适用性"),
    SOLUTION_COMPLIANCE("solution_compliance","合规性"),
    SOLUTION_ECONOMY("solution_economy","经济性"),
    SOLUTION_SERVICEABILITY("solution_serviceability","服务效率"),
    SOLUTION_INNOVATIVENESS("solution_innovativeness","创新性"),

    // 技术与装备
    TECHNOLOGY_INNOVATIVENESS("technology_innovativeness","技术创新"),
    TECHNOLOGY_TECHNOLOGICAL_PROGRESS("technology_technological_progress","推动科技进步"),
    TECHNOLOGY_PROPERTY_RIGHT("technology_property_right","知识产权情况"),
    TECHNOLOGY_SOCIAL_RESULTS("technology_social_results","经济社会效益");

    private final String innerParam;

    private final String desc;


}
